%define qtdir /usr/lib/qt3
%define objprelink 1

Name: knetscan
Version: 1.0
Release: alt2

Group: Monitoring
Summary: KnetScan is a full featured front end for the following net tools.
URL: http://sourceforge.net/projects/knetscan
License: GPL

Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: nmap /usr/sbin/traceroute /usr/bin/whois /bin/ping

# Automatically added by buildreq on Tue Sep 17 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kde-config kdelibs-devel libGLU libarts-devel libcups libfam-devel libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel objprelink zlib-devel
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-common kde-config kdelibs-devel libGLU
BuildRequires: libarts-devel libcups libjpeg-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libssl
BuildRequires: libstdc++-devel zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

Source0: %name-%version.tar.bz2
Patch1: knetscan-1.0-path.patch

%description
KnetScan is a full featured front end for the following net tools: 
nmap , ping , traceroute , whois. You can also print and save 
your results. Think of it as an ALL-IN-ONE net analizer tool. 
It is a reunion of kpinger , knmapfe , ktroute + whois client.

%prep
%setup -q
%patch1 -p1

%build
export QTDIR=%qtdir
%configure \
        --disable-rpath \
	--enable-shared \
	--disable-static \
	--disable-debug \
	--program-transform-name=""

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

# create menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Applications/Monitoring \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

cp %buildroot/%_iconsdir/locolor/16x16/apps/knetscan.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png

%_datadir/applnk/Applications/%name.desktop
%_menudir/%name

%doc README INSTALL COPYING AUTHORS ChangeLog TODO

%changelog
* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2
- rebuild with gcc3.2

* Mon Jun 17 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.0-alt1
- 1.0

- specfile cleanup

